<?php
/**
 *
 * @package luzuk Premium
 */

if(get_theme_mod('blog_section_disable') != 'on' ){ ?>
	<?php 
	 	if( get_theme_mod('blog_areaTpadding',true) ) {
	 		$blog_areaTpadding = 'padding-top:'.esc_attr(get_theme_mod('blog_areaTpadding')).';';
	 	}
	 	if( get_theme_mod('blog_areaBpadding',true) ) {
	 		$blog_areaBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('blog_areaBpadding')).';';
	 	}
	 	
 	?>
<div  class="blog-area" id="blog" >	
	<?php			
			$blog_title = get_theme_mod('blog_title', 'Our Blog');
			$blog_title2 = get_theme_mod('blog_title2', 'Discover the Southern Flavors Within Our Wines');
	?>
	<div class="container">
			<?php if($blog_title || $blog_title2 ){ ?>	
					<div class="section-title">
							<?php if($blog_title ){ ?>	
							<h2>
									<?php echo ($blog_title); ?>
									<div class="t-brd"></div>
							</h2>	
							<?php }?>

							<?php if($blog_title2 ){ ?>	
							<h3><?php echo ($blog_title2); ?></h3>
							<?php }?>
					</div>
			<?php }?>
			<div class="blog-area-wrap">
					<div class="blog-posts">
							<div class="row mr-0">
									<?php 
											$blog_post_count = get_theme_mod('blog_post_count', 3 );
											$blog_cat_exclude = get_theme_mod('blog_cat_exclude');
											$blog_cat_exclude = explode(',', $blog_cat_exclude);
											$args = array(
												'posts_per_page' => absint($blog_post_count),
												'category__not_in' => $blog_cat_exclude
											);
											$query = new WP_Query($args);
											if($query -> have_posts()):
												while($query -> have_posts()) : $query -> the_post();
												$luzuk_blog_image = wp_get_attachment_image_src(get_post_thumbnail_id() , 'total-blog-thumb');
												?>
												<?php 
												if(has_post_thumbnail()){
													$img = esc_url($luzuk_blog_image[0]);
												}
												if(empty($luzuk_blog_image)){
													$img = get_template_directory_uri().'/images/blog.jpg';
												}
									?>
									<div class="blog-post col-lg-4 col-md-6 col-sm-6 blogbx">
											<div class="box-area-S ">
												<a href="<?php the_permalink(); ?>">
													<div class="blog-thumbnail">
															<img class="blog-img" src="<?php echo $img; ?>" alt="<?php the_title(); ?>">
													</div>
												</a>															
												<div class="blog-single">
														<div class="blog-singleinn">
																<a href="<?php the_permalink(); ?>">
																		<h4 class="inner-area-title"><?php the_title(); ?></h4>
																</a>
																<p>
																	<?php 
																			if(has_excerpt()){
																				echo get_the_excerpt();
																			}else{
																				echo luzuk_excerpt( get_the_content() , 80 );
																			}
																	?>
																</p>
																<div class="blog-admbx">
																		<?php echo get_the_date( 'M j' ); ?>
																		<i class="fa fa-comment-o"></i><?php echo $my_var = get_comments_number(); ?>  
															</div>
															<div class="clearfix"></div>
														</div>
												</div>	
											<div class="clearfix"></div>
										</div>
								</div>
								<?php
							endwhile;
						endif;
						wp_reset_postdata();
						?>
					</div>
			</div>
			<div class="clearfix"></div>
	</div>					
</div>
<div class="clearfix"></div>
</div>
<script type="text/javascript">
	var title = 0;
jQuery(".blog-area .blog-post").each(function(){
  if ($(this).height() > title) { title = $(this).height(); }
});
jQuery(".blog-area .blog-post").height(title);
// on Resize change height
jQuery(window).resize(function(){
  jQuery(".blog-area .blog-post").height("");
  var title = 0;
  jQuery(".blog-area .blog-post").each(function(){
    if ($(this).height() > title) { title = $(this).height(); }
  });
  jQuery(".blog-area .blog-post").height(title);
});
</script>
	
<?php }